Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  package tests
  Definition Classes
    interactive
- CancelException
- CommentPreservingTypers
- CompilerControl
- CondPickler
- ContextTrees
- FreshRunReq
- Global
- InteractiveAnalyzer
- InteractiveReporter
- Lexer
- LogReplay
- Logger
- Main
- MissingResponse
- NoSuchUnitError
- NullLogger
- Pickler
- Picklers
- PresentationCompilerThread
- PrettyWriter
- Problem
- REPL
- RangePositions
- Replayer
- Response
- RichCompilationUnits
- ShutdownReq

c

scala.tools.nsc.interactive

# PrettyWriter

###

#### class PrettyWriter extends Writer

Source
  PrettyWriter.scala

Linear Supertypes
Writer, Flushable, Closeable, AutoCloseable, Appendable, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PrettyWriter
2. Writer
3. Flushable
4. Closeable
5. AutoCloseable
6. Appendable
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new PrettyWriter(wr: Writer)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PrettyWriter toany2stringadd[PrettyWriter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PrettyWriter, B)
   Implicit
     This member is added by an implicit conversion from PrettyWriter toArrowAssoc[PrettyWriter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def append(arg0: Char): Writer
   Definition Classes
     Writer → Appendable
   Annotations
     @throws(classOf[java.io.IOException])
7.  def append(arg0: CharSequence, arg1: Int, arg2: Int): Writer
   Definition Classes
     Writer → Appendable
   Annotations
     @throws(classOf[java.io.IOException])
8.  def append(arg0: CharSequence): Writer
   Definition Classes
     Writer → Appendable
   Annotations
     @throws(classOf[java.io.IOException])
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def close(): Unit
    Definition Classes
      PrettyWriter → Writer → Closeable → AutoCloseable
12.  def ensuring(cond: (PrettyWriter) => Boolean, msg: => Any): PrettyWriter
    Implicit
      This member is added by an implicit conversion from PrettyWriter toEnsuring[PrettyWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (PrettyWriter) => Boolean): PrettyWriter
    Implicit
      This member is added by an implicit conversion from PrettyWriter toEnsuring[PrettyWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): PrettyWriter
    Implicit
      This member is added by an implicit conversion from PrettyWriter toEnsuring[PrettyWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): PrettyWriter
    Implicit
      This member is added by an implicit conversion from PrettyWriter toEnsuring[PrettyWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def flush(): Unit
    Definition Classes
      PrettyWriter → Writer → Flushable
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PrettyWriter toStringFormat[PrettyWriter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  val indentStep: String
    Attributes
      protected
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      PrettyWriter → AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
33.  def write(str: Array[Char], off: Int, len: Int): Unit
    Definition Classes
      PrettyWriter → Writer
34.  def write(arg0: String, arg1: Int, arg2: Int): Unit
    Definition Classes
      Writer
    Annotations
      @throws(classOf[java.io.IOException])
35.  def write(arg0: String): Unit
    Definition Classes
      Writer
    Annotations
      @throws(classOf[java.io.IOException])
36.  def write(arg0: Array[Char]): Unit
    Definition Classes
      Writer
    Annotations
      @throws(classOf[java.io.IOException])
37.  def write(arg0: Int): Unit
    Definition Classes
      Writer
    Annotations
      @throws(classOf[java.io.IOException])

### Deprecated Value Members

1.  def →[B](y: B): (PrettyWriter, B)
   Implicit
     This member is added by an implicit conversion from PrettyWriter toArrowAssoc[PrettyWriter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Writer

### Inherited from Flushable

### Inherited from Closeable

### Inherited from AutoCloseable

### Inherited from Appendable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPrettyWriter to any2stringadd[PrettyWriter]

### Inherited by implicit conversion StringFormat fromPrettyWriter to StringFormat[PrettyWriter]

### Inherited by implicit conversion Ensuring fromPrettyWriter to Ensuring[PrettyWriter]

### Inherited by implicit conversion ArrowAssoc fromPrettyWriter to ArrowAssoc[PrettyWriter]

### Ungrouped